from fastapi import APIRouter
from app.api.endpoints import users, clients, invoices, auth

router = APIRouter()

# Include API endpoints
router.include_router(auth.router, prefix="/auth", tags=["authentication"])
router.include_router(users.router, prefix="/users", tags=["users"])
router.include_router(clients.router, prefix="/clients", tags=["clients"])
router.include_router(invoices.router, prefix="/invoices", tags=["invoices"])