from pydantic import BaseModel, EmailStr
from typing import Optional


class ClientBase(BaseModel):
    name: str
    email: EmailStr
    company: Optional[str] = None
    address: Optional[str] = None
    phone: Optional[str] = None


class ClientCreate(ClientBase):
    pass


class ClientUpdate(ClientBase):
    name: Optional[str] = None
    email: Optional[EmailStr] = None


class ClientInDBBase(ClientBase):
    id: str
    user_id: str

    class Config:
        from_attributes = True


class Client(ClientInDBBase):
    pass